Package org.springframework.jdbc.datasource.init

# Class CannotReadScriptException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.jdbc.datasource.init.ScriptException
org.springframework.jdbc.datasource.init.CannotReadScriptException

All Implemented Interfaces:
  `Serializable`

public class CannotReadScriptException extends ScriptException
Thrown by `ScriptUtils` if an SQL script cannot be read.

Since:
  3.0
Author:
  Keith Donald, Sam Brannen
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CannotReadScriptException(org.springframework.core.io.support.EncodedResource resource, Throwable cause)`
Create a new `CannotReadScriptException`.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CannotReadScriptException

public CannotReadScriptException(org.springframework.core.io.support.EncodedResource resource, Throwable cause)
Create a new `CannotReadScriptException`.

Parameters:
  `resource` - the resource that cannot be read from
  `cause` - the underlying cause of the resource access failure